#! /bin/sh

type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh

timeout=$(getarg rd.timeout)
timeout=${timeout:-0}

unitdir="$1"

while read device mountpoint filesystem opts dummy
do
    test "${mountpoint#/kdump/}" = "$mountpoint" && continue

    name=$(dev_unit_name "$device")
    devdir="${unitdir}/${name}.device.d"
    mkdir -p "$devdir"
    {
        echo "[Unit]"
        echo "JobTimeoutSec=$timeout"
    } > "${devdir}/timeout.conf"
done < <(sed -e 's/[ \t][ \t]*/\t/g;s/^\t//;/^$/d;/^#/d' /etc/fstab)

exit 0
